<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\EMails\Anzeigen;


abstract class EMailAnzeigenController extends \Kufer\Web\KuferTools\Basis\Controller\Controller
{
  protected function getRequestObj()
  {
    $requestObj = new EMailAnzeigenRequest();
    $requestObj->lfdnr = \GetOperations::getVarValue('lfdnr');
    $requestObj->knr = \GetOperations::getVarValue('knr');

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    if (!\System::isKuferSql5()) { 
      
      return new EmailAnzeigen4Presenter($pUseCaseResponse);
    }

    return new EmailAnzeigen5Presenter($pUseCaseResponse);
  }
}